> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.monite.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server.

# Get a recurrence by ID

GET https://api.sandbox.monite.com/v1/recurrences/{recurrence_id}

Reference: https://docs.monite.com/api/recurrences/get-recurrences-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.sandbox.monite.com/v1` (sandbox, default)
- `https://api.monite.com/v1` (eu_production)
- `https://us.api.monite.com/v1` (na_production)

## Request

### Path parameters

- `recurrence_id` (string, required)

### Headers

- `x-monite-version` (string, required)
- `x-monite-entity-id` (string, required) — The ID of the entity that owns the requested resource.

## Response

### 200

Successful Response

- `id` (string, required)
- `created_at` (datetime, required) — Time at which the recurrence was created. Timestamps follow the ISO 8601 standard.
- `updated_at` (datetime, required) — Time at which the recurrence was last updated. Timestamps follow the ISO 8601 standard.
- `automation_level` (enum, required) — Controls how invoices are processed when generated: - "draft": Creates invoices in draft status, requiring manual review, issuing, and sending - "issue": Automatically issues invoices but requires manual sending - "issue_and_send": Fully automates the process (creates, issues, and sends invoices) Default: "issue" (or "issue_and_send" if subject_text and body_text are provided) Note: When using "issue_and_send", both subject_text and body_text must be provided.
  - Allowed values: `draft`, `issue`, `issue_and_send`
- `current_iteration` (integer, required) — Current iteration number
- `frequency` (enum, required) — How often the invoice will be created.
  - Allowed values: `day`, `week`, `month`, `quarter`, `year`
- `interval` (integer, required) — The interval between each occurrence of the invoice. For example, when using monthly frequency, an interval of 1 means invoices will be created every month, an interval of 2 means invoices will be created every 2 months.
- `invoice_id` (string, required) — ID of the base invoice that will be used as a template for creating recurring invoices.
- `iterations` (list of RecurrenceIteration, required) — List of iterations for the recurrence
- `start_date` (string, required) — The date when the first invoice will be created, in the `yyyy-mm-dd` format. Cannot be a past date. Subsequent invoice dates will be calculated based on `start_date`, `frequency`, and `interval`.
- `status` (enum, required) — Status of the recurrence
  - Allowed values: `active`, `paused`, `canceled`, `completed`
- `day_of_month` (enum, required, deprecated) — Deprecated, use `start_date` instead
  - Allowed values: `first_day`, `last_day`
- `start_month` (integer, required, deprecated) — Deprecated, use `start_date` instead
- `start_year` (integer, required, deprecated) — Deprecated, use `start_date` instead
- `body_text` (string, optional) — The body text for the email that will be sent with the recurring invoice.
- `end_date` (string, optional) — The end date of the recurring invoice, in the `yyyy-mm-dd` format. The end date is inclusive, that is, the last invoice will be created on this date if the last occurrence falls on this date. `end_date` is mutually exclusive with `max_occurrences`. Either `end_date` or `max_occurrences` must be specified.
- `max_occurrences` (integer, optional) — How many times the recurring invoice will be created. The recurrence will stop after this number is reached. `max_occurrences` is mutually exclusive with `end_date`. Either `max_occurrences` or `end_date` must be specified.
- `recipients` (Recipients, optional) — An object containing the recipients (To, CC, BCC) of the recurring invoices. Can be omitted if the base invoice has the counterpart contact email specified in the `counterpart_contact.email` field.
- `subject_text` (string, optional) — The subject for the email that will be sent with the recurring invoice.
- `end_month` (integer, optional, deprecated) — Deprecated, use `end_date` instead
- `end_year` (integer, optional, deprecated) — Deprecated, use `end_date` instead

## Errors

### 400 Get Recurrences ID Request Bad Request Error

Bad Request

- `error` (ErrorSchema, required)

### 401 Get Recurrences ID Request Unauthorized Error

Unauthorized

- `error` (ErrorSchema, required)

### 403 Get Recurrences ID Request Forbidden Error

Forbidden

- `error` (ErrorSchema, required)

### 404 Get Recurrences ID Request Not Found Error

Not found

- `error` (ErrorSchema, required)

### 422 Get Recurrences ID Request Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

### 500 Get Recurrences ID Request Internal Server Error

Internal Server Error

- `error` (ErrorSchema, required)

## Types

### RecurrenceIteration

- `issue_at` (string, required)
- `status` (enum, required)
  - Allowed values: `pending`, `completed`, `canceled`, `skipped`, `issue_failed`, `send_failed`
- `issued_invoice_id` (string, optional)
- `iteration` (integer, optional, default: 1)

### Recipients

- `bcc` (list of string, optional)
- `cc` (list of string, optional)
- `to` (list of string, optional)

### ErrorSchema

- `message` (string, required)

### ValidationError

- `loc` (list of ValidationErrorLocItem, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItem

## Examples

**Response**

```json
{
  "id": "id",
  "created_at": "2024-01-15T09:30:00Z",
  "updated_at": "2024-01-15T09:30:00Z",
  "automation_level": "draft",
  "current_iteration": 1,
  "frequency": "day",
  "interval": 1,
  "invoice_id": "invoice_id",
  "iterations": [
    {
      "issue_at": "issue_at",
      "status": "pending",
      "issued_invoice_id": "issued_invoice_id",
      "iteration": 1
    }
  ],
  "start_date": "start_date",
  "status": "active",
  "day_of_month": "first_day",
  "start_month": 1,
  "start_year": 1,
  "body_text": "body_text",
  "end_date": "end_date",
  "max_occurrences": 1,
  "recipients": {
    "bcc": [
      "bcc"
    ],
    "cc": [
      "cc"
    ],
    "to": [
      "to"
    ]
  },
  "subject_text": "subject_text",
  "end_month": 1,
  "end_year": 1
}
```

**SDK Code**

```python
import requests

url = "https://api.sandbox.monite.com/v1/recurrences/recurrence_id"

headers = {
    "x-monite-version": "2024-01-31",
    "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sandbox.monite.com/v1/recurrences/recurrence_id';
const options = {
  method: 'GET',
  headers: {
    'x-monite-version': '2024-01-31',
    'x-monite-entity-id': '9d2b4c8f-2087-4738-ba91-7359683c49a4',
    Authorization: 'Bearer <token>'
  }
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sandbox.monite.com/v1/recurrences/recurrence_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-monite-version", "2024-01-31")
	req.Header.Add("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sandbox.monite.com/v1/recurrences/recurrence_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-monite-version"] = '2024-01-31'
request["x-monite-entity-id"] = '9d2b4c8f-2087-4738-ba91-7359683c49a4'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sandbox.monite.com/v1/recurrences/recurrence_id")
  .header("x-monite-version", "2024-01-31")
  .header("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sandbox.monite.com/v1/recurrences/recurrence_id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'x-monite-entity-id' => '9d2b4c8f-2087-4738-ba91-7359683c49a4',
    'x-monite-version' => '2024-01-31',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sandbox.monite.com/v1/recurrences/recurrence_id");
var request = new RestRequest(Method.GET);
request.AddHeader("x-monite-version", "2024-01-31");
request.AddHeader("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-monite-version": "2024-01-31",
  "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sandbox.monite.com/v1/recurrences/recurrence_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```